(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core')) :
    typeof define === 'function' && define.amd ? define('string-highlighter', ['exports', '@angular/core'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global['string-highlighter'] = {}, global.ng.core));
}(this, (function (exports, i0) { 'use strict';

    var StringHighlighterService = /** @class */ (function () {
        function StringHighlighterService() {
        }
        return StringHighlighterService;
    }());
    StringHighlighterService.ɵprov = i0.ɵɵdefineInjectable({ factory: function StringHighlighterService_Factory() { return new StringHighlighterService(); }, token: StringHighlighterService, providedIn: "root" });
    StringHighlighterService.decorators = [
        { type: i0.Injectable, args: [{
                    providedIn: 'root'
                },] }
    ];
    StringHighlighterService.ctorParameters = function () { return []; };

    var StringHighlighterComponent = /** @class */ (function () {
        function StringHighlighterComponent() {
        }
        StringHighlighterComponent.prototype.ngOnInit = function () {
            this.controlledContent = this.originalContent = this.content.nativeElement.textContent;
        };
        StringHighlighterComponent.prototype.markText = function (value) {
            this.controlledContent = this.originalContent;
            this.controlledContent = this.originalContent.replace(new RegExp(value, 'g'), "<span class=\"mark\">" + value + "</span>");
        };
        return StringHighlighterComponent;
    }());
    StringHighlighterComponent.decorators = [
        { type: i0.Component, args: [{
                    selector: 'lib-string-highlighter',
                    template: "\n    <input type=\"text\" (keydown.enter)=\"markText($event.target.value)\">\n    <div #content [hidden]=\"true\">\n      <ng-content></ng-content>\n    </div>\n\n    <div [innerHTML]=\"controlledContent\"></div>\n  ",
                    encapsulation: i0.ViewEncapsulation.None,
                    styles: [".mark {background-color: yellow}"]
                },] }
    ];
    StringHighlighterComponent.propDecorators = {
        content: [{ type: i0.ViewChild, args: ['content', { static: true },] }]
    };

    var StringHighlighterModule = /** @class */ (function () {
        function StringHighlighterModule() {
        }
        return StringHighlighterModule;
    }());
    StringHighlighterModule.decorators = [
        { type: i0.NgModule, args: [{
                    declarations: [StringHighlighterComponent],
                    imports: [],
                    exports: [StringHighlighterComponent]
                },] }
    ];

    /*
     * Public API Surface of string-highlighter
     */

    /**
     * Generated bundle index. Do not edit.
     */

    exports.StringHighlighterComponent = StringHighlighterComponent;
    exports.StringHighlighterModule = StringHighlighterModule;
    exports.StringHighlighterService = StringHighlighterService;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=string-highlighter.umd.js.map
